/**Begin C:\Users\rd_jinbo_chen\Desktop\PDM_UPGRADE\PDM1\EB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_SHAREDIMDATAENTRY') 
 CREATE TABLE T_EB_SHAREDIMDATAENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONNAME NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_SHAREDIMENSIONDATA') 
 CREATE TABLE T_EB_SHAREDIMENSIONDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(250) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD NVARCHAR(250) DEFAULT ' ' NOT NULL,
FFIELDNUMBER NVARCHAR(250) DEFAULT ' ',
FAPP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLOUD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODEL BIGINT DEFAULT 0 NOT NULL,
FDIMENSION BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONRANGEJSON NVARCHAR(250),
FDIMENSIONRANGEJSON_TAG NCLOB
);



/**End C:\Users\rd_jinbo_chen\Desktop\PDM_UPGRADE\PDM1\EB_table.sql **/